Subject: Re: linux-next: build warning after merge of the pm tree

From: Andy Shevchenko <[email-masked]>
Date: Thu, 19 Nov 2020 18:22:49 +0200

On Thu, Nov 19, 2020 at 11:09:01AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the pm tree, today's linux-next build (x86_64 allmodconfig)
> produced this warning:
> 
> WARNING: modpost: missing MODULE_LICENSE() in kernel/resource_kunit.o
> 
> Introduced by commit
> 
>   5df38ca6afec ("resource: Add test cases for new resource API")

I have sent a fix, thanks.

The cause was the same as for previous similar issue, i.e. KUnit silently
compiled and run tests even if the build process had warnings. I have been
told that it's now fixed in their tree and soon should be propagated further.

-- 
With Best Regards,
Andy Shevchenko